%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		instack-undercloud
Version:	6.0.0
Release:	6%{?dist}
Summary:	Installation tools to install an undercloud via instack

Group:		Development/Languages
License:	ASL 2.0
Url:		https://github.com/openstack/instack-undercloud
Source0:	https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=6.0.0
#
Patch0001: 0001-Add-certificate-EKUs-to-public-endpoint-cert.patch
Patch0002: 0002-Align-stars-to-fix-CI.patch
Patch0003: 0003-Provide-correct-non-SSL-port-config-in-ui-config.patch
Patch0004: 0004-Use-purged-for-firewalld.patch
Patch0005: 0005-Configurable-clients-endpoint_type-for-heat.conf.patch
Patch0006: 0006-Run-ceilometer-upgrade-for-gnocchi-conditionally.patch
Patch0007: 0007-Set-OS_AUTH_TYPE-on-undercloud-stackrc.patch
Patch0008: 0008-Disable-VIP-validation-when-UI-is-enabled.patch
Patch0009: 0009-Increase-size-of-heat-json-message.patch
Patch0010: 0010-Create-Heat-API-CFN-endpoint.patch
Patch0011: 0011-Add-gnocchi-to-events-dispatchers.patch
Patch0012: 0012-Remove-obsolete-flag-on-gnocchi-upgrade.patch
Patch0013: 0013-Replace-hardcoded-regions-by-hiera-call.patch
Patch0014: 0014-Set-default-domain-for-all-keystone-users.patch
Patch0015: 0015-Dont-include-wsgi-profile-when-legacy-flag-is-disabl.patch
Patch0016: 0016-Set-a-dependency-on-collector.patch

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-pbr
BuildRequires:	python-setuptools
BuildRequires:	git
Requires:	instack
Requires:	openstack-tripleo-heat-templates
Requires:	openstack-tripleo-image-elements
Requires:	redhat-lsb-core
Requires:	policycoreutils-python
Requires:	openstack-tripleo-puppet-elements
Requires:	python-psutil
Requires:	python-oslo-config
Requires:	pystache
Requires:	jq
Requires:	os-apply-config
Requires:	os-net-config
Requires:	os-cloud-config
Requires:	os-refresh-config
Requires:	python-heat-agent
Requires:	puppet
Requires:	openstack-puppet-modules
Requires:	python-six
Requires:	python-keystoneclient
Requires:	python-mistralclient
Requires:	python-novaclient
Requires:	python-netaddr

Requires:	selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*
%exclude %{python2_sitelib}/instack_undercloud/tests

%changelog
* Mon Apr 10 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-6
- Set a dependency on collector
- Dont include wsgi profile when legacy flag is disabled (rhbz#1438795)
- Set default domain for all keystone users
- Replace hardcoded regions by hiera call
- Remove obsolete flag on gnocchi-upgrade

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-5
- Add gnocchi to events dispatchers (rhbz#1436599)
- Create Heat API CFN endpoint (rhbz#1435212)
- Increase size of heat json message (rhbz#1435262)
- Disable VIP validation when UI is enabled (rhbz#1427046)
- Set OS_AUTH_TYPE on undercloud stackrc

* Thu Mar 30 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-4
- Run ceilometer-upgrade for gnocchi conditionally (rhbz#1434361)
- Configurable [clients]/endpoint_type for heat.conf (rhbz#1435206)

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-3
- Use purged for firewalld (rhbz#1429674)
- Provide correct non-SSL port config in ui config

* Tue Mar 14 2017 Jon Schlueter <jschluet@redhat.com> 6.0.0-2
- Add certificate EKUs to public endpoint cert

* Wed Mar 08 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-1
- Update to 6.0.0

* Mon Mar 06 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.2.0rc2
- Update to 6.0.0.0rc2

* Fri Feb 17 2017 Alfredo Moralejo <amoralej@redhat.com> 6.0.0-0.1.0rc1
- Update to 6.0.0.0rc1

